/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VIsStudy;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VIsStudyRecord extends TableRecordImpl<VIsStudyRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_is_study.key_element</code>.
     */
    public void setKeyElement(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_is_study.key_element</code>.
     */
    public Integer getKeyElement() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_is_study.dn</code>.
     */
    public void setDn(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_is_study.dn</code>.
     */
    public String getDn() {
        return (String) get(1);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VIsStudyRecord
     */
    public VIsStudyRecord() {
        super(VIsStudy.V_IS_STUDY);
    }

    /**
     * Create a detached, initialised VIsStudyRecord
     */
    public VIsStudyRecord(Integer keyElement, String dn) {
        super(VIsStudy.V_IS_STUDY);

        setKeyElement(keyElement);
        setDn(dn);
        resetChangedOnNotNull();
    }
}
